OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCDF
CDM

# CDM_MetaDataLookUpTable Class Reference

`#include <CDM_MetaDataLookUpTable.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | CDM_MetaDataLookUpTable (const Standard_Integer NbBuckets=1)
Standard_EXPORT CDM_MetaDataLookUpTable & | Assign (const CDM_MetaDataLookUpTable &Other)
CDM_MetaDataLookUpTable & | operator= (const CDM_MetaDataLookUpTable &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~CDM_MetaDataLookUpTable ()
Standard_EXPORT Standard_Boolean | Bind (const TCollection_ExtendedString &K, const Handle(CDM_MetaData)&I)
Standard_EXPORT Standard_Boolean | IsBound (const TCollection_ExtendedString &K) const
Standard_EXPORT Standard_Boolean | UnBind (const TCollection_ExtendedString &K)
Standard_EXPORT const Handle_CDM_MetaData & | Find (const TCollection_ExtendedString &K) const
const Handle_CDM_MetaData & | operator() (const TCollection_ExtendedString &K) const
Standard_EXPORT Handle_CDM_MetaData & | ChangeFind (const TCollection_ExtendedString &K)
Handle_CDM_MetaData & | operator() (const TCollection_ExtendedString &K)
## Private Member Functions
Standard_EXPORT | CDM_MetaDataLookUpTable (const CDM_MetaDataLookUpTable &Other)

## Constructor & Destructor Documentation

Standard_EXPORT CDM_MetaDataLookUpTable::CDM_MetaDataLookUpTable | ( | const Standard_Integer | NbBuckets = `1` | ) |

CDM_MetaDataLookUpTable::~CDM_MetaDataLookUpTable | ( |  | ) | `[inline]`

Standard_EXPORT CDM_MetaDataLookUpTable::CDM_MetaDataLookUpTable | ( | const CDM_MetaDataLookUpTable & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT CDM_MetaDataLookUpTable& CDM_MetaDataLookUpTable::Assign | ( | const CDM_MetaDataLookUpTable & | Other | ) |

Standard_EXPORT Standard_Boolean CDM_MetaDataLookUpTable::Bind | ( | const TCollection_ExtendedString & | K,
|  | const Handle(CDM_MetaData)& | I
| ) |

Standard_EXPORT Handle_CDM_MetaData& CDM_MetaDataLookUpTable::ChangeFind | ( | const TCollection_ExtendedString & | K | ) |

Standard_EXPORT void CDM_MetaDataLookUpTable::Clear | ( |  | ) |

Standard_EXPORT const Handle_CDM_MetaData& CDM_MetaDataLookUpTable::Find | ( | const TCollection_ExtendedString & | K | ) | const

Standard_EXPORT Standard_Boolean CDM_MetaDataLookUpTable::IsBound | ( | const TCollection_ExtendedString & | K | ) | const

void CDM_MetaDataLookUpTable::operator delete | ( | void * | anAddress | ) | `[inline]`

void* CDM_MetaDataLookUpTable::operator new | ( | size_t | size | ) | `[inline]`

void* CDM_MetaDataLookUpTable::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_CDM_MetaData& CDM_MetaDataLookUpTable::operator() | ( | const TCollection_ExtendedString & | K | ) | `[inline]`

const Handle_CDM_MetaData& CDM_MetaDataLookUpTable::operator() | ( | const TCollection_ExtendedString & | K | ) | const`[inline]`

CDM_MetaDataLookUpTable& CDM_MetaDataLookUpTable::operator= | ( | const CDM_MetaDataLookUpTable & | Other | ) | `[inline]`

Standard_EXPORT void CDM_MetaDataLookUpTable::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean CDM_MetaDataLookUpTable::UnBind | ( | const TCollection_ExtendedString & | K | ) |

The documentation for this class was generated from the following file:

- CDM_MetaDataLookUpTable.hxx